#include <bits/stdc++.h>

using namespace std;

int main()
{
  ios::sync_with_stdio(0);

  int N;
  cin >> N;
  vector<int> T(N);
  for (int i = 0; i < N; i++)
    cin >> T[i];
  // Sortujemy tablicę poziomów na wejściu.
  sort(T.begin(), T.end());

  int liczba_zespolow = 0;

  // Wskaźnik na aktualnie rozważany lewy koniec zespołu
  // (zawodnika o najmniejszym poziomie w zespole).
  int wskaznik = 0;
  // Iterujemy się dopóki możemy stworzyć zespół (mamy co najmniej trzy osoby
  // do rozpatrzenia).
  while (wskaznik + 2 < N)
  {
    // Jeżeli różnica poziomów między najlepszym i najgorszym zawodnikiem
    // wynosi co najwyżej 1.
    if (T[wskaznik + 2] - T[wskaznik] <= 1)
    {
      // To tworzymy zespół i przesuwamy wskaźnik o 3.
      liczba_zespolow++;
      wskaznik += 3;
    }
    else
    {
      // W przeciwnym wypadku, po prostu przesuwamy wskaźnik w prawo.
      wskaznik++;
    }
  }

  // Ostatecznie wypisujemy liczbę zespółów, które udało nam się zbudować.
  cout << liczba_zespolow << "\n";
  return 0;
}